Skip to navigation

✨ Bulk assign project members

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Query parameters

last_activity__gtestringOptional

Filter by last activity (ISO 8601 formatted date). Only when all=True.

last_activity__ltestringOptional

Filter by last activity upper bound (ISO 8601 formatted date). Only when all=True.

rolestringOptional

Filter by role, project roles take precedence over organization roles. Only when all=True. (comma-separated values)

searchstringOptional

Search term for filtering members by name, email, or username. Only when all=True.

tagsstringOptional

Multiple values may be separated by commas. (comma-separated values)

tags_operatorstringOptional

How the tags ids combine: any (at least one tag), all (every tag, the default), none (no selected tag). Ignored without tags.

user_typestringOptional

Multiple values may be separated by commas. (comma-separated values)

Request

This endpoint expects an object.
allbooleanRequired
Apply to all project members
excludedlist of integersOptional
Excluded user IDs
includedlist of integersOptional
Included user IDs
roleslist of objectsOptional
Member roles

Response

assignmentsinteger
skipped_user_idslist of integers